Subject: bug#76330: 31.0.50; Faulty fontification in go-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Feb 2025 11:52:38 +0200

> Cc: Randy Taylor <[email-masked]>
> From: Utkarsh Singh <[email-masked]>
> Date: Sun, 16 Feb 2025 14:44:31 +0530
> 
> I have recently started learning Go using The Go Programming Language
> (GOPL) book, and I'm using go-ts-mode for editing Go files.
> 
> Everything is working perfectly, but I have noticed a minor
> fontification error in the following code:
> 
> const (
>     width, height = 600, 320            // canvas size in pixels
>     cells         = 100                 // number of grid cells
>     xyrange       = 30.0                // axis ranges (-xyrange..+xyrange)
>     xyscale       = width / 2 / xyrange // pixels per x or y unit
>     zscale        = height * 0.4        // pixels per z unit
>     angle         = math.Pi / 6         // angle of x, y axes (=30°)
> )
> 
> Every constant except `height` is using `font-lock-constant-face`.
> 
> Could you please check if you can reproduce this issue?

Randy and Yuan, could you please look into this?

Thanks.